Skip to content
EN

生成大纲内容同时异步生成PPT(免费

方法: POST路径: /docmee/v1/api/ppt/generateContent

请求参数

Header 参数

text
Content-Type
string
必需
示例:
application/json
Authorization
string
可选
默认值:
Bearer {{YOUR_API_KEY}}

Body 参数 application/json

text
outlineMarkdown
string
必需
asyncGenPptx
boolean
必需
示例
{
"outlineMarkdown"
:
"string"
,
"asyncGenPptx"
:
true
}

请求示例代码

Shell

bash
curl --location --request POST '/docmee/v1/api/ppt/generateContent' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "outlineMarkdown": "string",
    "asyncGenPptx": true
}'

返回响应

🟢 200 成功

内容类型: application/json

响应结构

text
object

示例

json
{
	"text": "",
	"status": 3, // 状态:-1异常 0模型重置 1解析文件 2搜索网页 3生成中 4完成
	// 下面为异步生成PPT时返回的数据,可以每出现一次就调用 asyncPptInfo 接口获取最新的PPT数据
	"pptId": "xxx", // 异步生成pptId
	"total": 23, // 总页数
	"current": 1 // 当前已生成页数
}

{ "text": "#", "status": 3 }

{ "text": " ", "status": 3 }

{ "text": "主题", "status": 3 }

...

{
	"text": "",
	"status": 4,
	"result": {
		"level": 1,
		"name": "主题",
		"children": [
			{
				"level": 2,
				"name": "章节",
				"children": [
					{
						"level": 3,
						"name": "页面标题",
						"children": [
							{
								"level": 4,
								"name": "内容标题",
								"children": [
									{
										"level": 0,
										"name": "内容"
									}
								]
							}
						]
					}
				]
			}
		]
	}
}